/*------------------------------------------------------------
 * Right-to-Left support
 * Overrides styles with horizontal flipping
 *------------------------------------------------------------*/

body,
div.wpcf7 {
	direction: rtl;
	unicode-bidi: embed;
}

.fl { float: right; }
.fr {float: left;}

.hygge-notif * + * {
	margin-left: 0px;
	margin-right: 20px;
}

.hygge-notif__hide {
	right: auto;
	left: 0;
}

.header__location .breadcrumbs_inwrap > span:first-child {
	padding-left: 10px;
	padding-right: 0;
}

.header__location .breadcrumbs_inwrap > span:last-child {
	padding-left: 0;
	padding-right: 10px;
}

.hygge-nav--classic .sub-menu .sub-menu {
	left: auto;
	right: 100%;
}

.hygge-nav--mobile-btn i.has-dropdown-icon {
	margin-right: 8px;
	margin-left: auto;
}

.header__location .breadcrumbs {
	float: right;
	text-align: right;
}

.header__search__toggle {
	margin-left: 20px;
	margin-right: auto;
	float: left;
}

.hygge-nav--classic > .menu > ul {
	float: right;
}

.hygge-nav--classic > .menu > ul > li .sub-menu {
	left: auto;
	right: 0;
}

.social-nav .item i {
	margin-left: 10px;
	margin-right: auto;
}

.tagcloud a {
	float: right;
	margin: 0 0px 6px 6px;
}

.wp-caption-text {
	left: auto;
	right: 0;
}

.description-heading:before,
.description-heading:after {
	left: auto;
	right: 50px;
}

.hygge-blog--style-filmstrip .loop-container--style-filmstrip .post {
	float: right;
	padding-left: 0;
	padding-right: 20px;
}

.hygge-btt span, .hygge-btt span:before, .hygge-btt span:after,
.hygge-btt:hover span, .hygge-btt:hover span:before, .hygge-btt:hover span:after {
	margin-right: 0;
}

.loop-container--style-widget-list .post img {
	float: right;
	margin-left: 30px;
	margin-right: auto;
}

body:not(.browser-ie) .loop-container--style-masonry,
body:not(.browser-ie) .loop-container--style-list,
body:not(.browser-ie) .loop-container--style-list_unboxed,
body:not(.browser-ie) .loop-container--style-filmstrip {
	margin-left: auto;
	margin-right: -50px !important;
}

.loop-container--style-masonry article .post__inwrap,
.loop-container--style-list article .post__inwrap,
.loop-container--style-list_unboxed article .post__inwrap,
.loop-container--style-filmstrip article .post__inwrap {
	padding-left: 0;
	padding-right: 50px;
}

.loop-container .post__meta div:after {
	margin: auto 0.7em auto 0.3em;
}

.pagination__classic span:not(.prev):not(.next):before,
.pagination__classic a:not(.prev):not(.next):before {
	margin: 0 -8px 0 3px;
}

.pagination__classic a.next {
	float: left;
}

.pagination__classic a.prev {
	float: right;
}

.comment__list .comment__image {
	float: right;
	margin-left: auto;
	margin-right: -10px;
}

.comment__list .comment__meta .comment__date,
.comment__list .comment__meta .comment__moderated {
	margin-left: auto;
	margin-right: 10px;
}

.comment__list .comment__links {
	left: 20px;
	right: auto;
}

.comment__list .comment__links a {
	float: right;
}

.comment-respond .form__item {
	text-align: right;
}

.dropcap {
	margin-left: auto;
	margin-right: -5px;
	float: right;
}

.post__content ol,
.post__content ul {
	padding-right: 0px;
}

.post__content ol li,
.post__content ul li {
	margin-left: auto;
	margin-right: 30px;
}

.post__content ol > li:before {
	left: auto;
	right: -50px;
}

.post__content ol li ol li,
.post__content ul li ol li,
.post__content ol li ul li,
.post__content ul li ul li {
	margin-left: auto;
	margin-right: 0px;
	padding-left: 0;
	padding-right: 45px;
}

.post__content ul > li:before,
.post__content ul > li:after {
	left: auto;
	right: -50px;
}

.post__content ol li ul li:before,
.post__content ul li ul li:before,
.post__content ol li ul li:after,
.post__content ul li ul li:after {
	left: auto;
	right: 5px;
}

table tbody tr td + td {
	border-left: none;
	border-right: 1px solid #eeeeee;
}

table tbody:last-child tr:last-child td + td:before {
	left: auto;
	right: -1px;
	border-left: 1px solid #eeeeee;
}

.loop-container:not(.loop-container--style-gallery) article.sticky .post__title:before {
	margin: -1px -50px 0 0;
}


/* Media Queries */

@media only screen and (min-width: 961px) {
	.post__content {
		padding-right: calc( 300px + 45px );
		padding-left: 45px;
	}

	.hygge-sideblock,
	.hygge-sideblock + .hygge-sideblock-placeholder {
		margin-left: auto;
		margin-right: calc( -300px - 45px );
		float: right;
		clear: right;
	}

	.hygge-sideblock:not(.hygge-sideblock--meta) {
		padding-left: 40px;
		padding-right: 0;
	}

	.hygge-sideblock {
		border-right: none;
		border-left: 1px solid #eeeeee;
	}

	.post__content .editor-content > blockquote,
	.post__content .editor-content > .description-heading,
	.post__content .editor-content > .alignnone,
	.post__content .editor-content > p .alignnone,
	.post__content .editor-content > .mejs-container,
	.post__content .editor-content > .gallery,
	.post__content .editor-content > .rich-title,
	.post__content .editor-content > .rich-image {
		margin-right: auto;
		margin-left: -45px;
		clear: left;
	}

	.post__content .editor-content > .alignright,
	.post__content .editor-content > p .alignright {
		margin-right: auto;
		clear: left;
	}

	.hygge-separator > .hygge-x {
		margin-left: auto;
		margin-right: calc(50% - 0.5em);
	}

	.hygge-separator > .hygge-x.left {
		margin-left: auto;
		margin-right: calc(300px + 45px);
	}

	.hygge-blog--style-filmstrip .loop-container--style-filmstrip {
		margin-left: auto;
		margin-right: -60px;
	}

	.hygge-blog--style-filmstrip .loop-container--style-filmstrip .post {
		float: none;
		margin-left: auto;
		margin-right: -0.35em;
		padding-left: 0;
		padding-right: 60px;
	}

	.hygge-blog--style-filmstrip .loop-container--style-filmstrip .post .post__inwrap {
		padding-right: 0;
	}

	.hygge-blog--style-filmstrip .loop-container--style-filmstrip .post .post__media {
		float: right;
		margin-left: 30px;
		margin-right: auto;
	}

	.loop-container--style-list article:not(.format-quote) .post__media {
		float: right;
		padding-left: 50px;
		padding-right: 0;
	}

	.hygge-slider--images .hygge-ui-arrows {
		left: auto;
		right: -0;
	}

	.hygge-slider--images .wp-caption-text {
		left: auto;
		right: 60px;
		-webkit-transform: translateX(30px);
		transform: translateX(30px);
	}

	.pagination__classic a.prev {
		left: auto;
		right: 0;
	}

	.pagination__classic a.next {
		left: 0;
		right: auto;
	}

	.hygge-fullwidth {
		margin-right: calc( 50% - 50vw );
		margin-left: auto !important;
	}

	.post__content .hygge-fullwidth {
		margin-right: calc( 50% - 50vw + 360px/2 - 360px/2 + 40px );
	}

	.hygge-separator--small {
		margin-left: auto;
		margin-right: 0px;
	}
}



@media only screen and (min-width: 1171px) {
	.wp-caption-text {
		left: auto;
		right: 0;
	}

	.widget_hygge_blog_filmstrip_widget .widget__title-wrap {
		text-align: right;
		float: right;
		margin-left: 115px;
		margin-right: auto;
	}

	.post__content {
		padding-right: calc( 300px + 115px );
		padding-left: 115px;
	}

	.hygge-sideblock,
	.hygge-sideblock + .hygge-sideblock-placeholder {
		margin-right: calc( -300px - 115px );
	}

	.post__content .editor-content > blockquote,
	.post__content .editor-content > .description-heading,
	.post__content .editor-content > .alignnone,
	.post__content .editor-content > p .alignnone,
	.post__content .editor-content > .mejs-container,
	.post__content .editor-content > .gallery,
	.post__content .editor-content > .rich-title,
	.post__content .editor-content > .rich-image {
		margin-left: -115px;
	}

	.hygge-separator > .hygge-x.left {
		margin-right: calc(300px + 115px);
	}

	.hygge-contentwidth {
		margin-left: -115px;
		margin-right: calc( -300px - 115px );
	}

}

.product_list_widget .post__media {
	float: right;
	margin-left: 30px;
	margin-right: auto;
}

.hygge-rating-stars .star {
	float: right;
}

cite {
	text-align: right;
}

.search-form i {
	right: auto;
	left: 0;
}

.header__search .search-form i {
	right: auto;
	left: 20px;
}

.tagcloud a:after {
	margin-left: 0;
}

.widget_nav_menu ul .children, .widget_pages ul .children, .widget_archive ul .children, .widget_categories ul .children, .widget_meta ul .children, .widget_recent_comments ul .children, .widget_recent_entries ul .children, .widget_upcoming_events_widget ul .children, .widget_authors ul .children, .widget_product_categories ul .children, .widget_rating_filter ul .children, .widget_layered_nav ul .children, .widget_layered_nav_filters ul .children {
	padding-left: 0;
	padding-right: 20px;
}

@media only screen and (min-width: 600px) {
	.loop-container--style-list article .post__media,
	.loop-container--style-list-highlights article .post__media {
		margin-left: 50px;
		margin-right: auto;
	}
}

.loop-container--style-widget-list article .post__media {
	margin-right: 0;
	margin-left: 30px;
}

.loop-container--style-widget-list article .post__text {
	text-align: right;
}

.loop-container--style-list .post__title,
.loop-container--style-masonry .post__title {
	text-align: right;
}

.post__share--sticky {
	right: auto;
	left: 0;
}

@media only screen and (min-width: 961px) {
	.hygge-sidebar--true .post__share--sticky.is_stuck {
		right: auto;
		left: 360px;
	}
	.hygge-sidebar--true .post__share--sticky.is_stuck.is_bottom {
		right: auto;
		left: 0;
	}

	.rich-image__text {
		left: auto;
		right: 0;
		text-align: right;
	}

	.hygge-sidebar--true .hygge-loader--body {
		margin-left: calc(360px/2 - 35px);
	}
}

.gallery--masonry .wp-caption-text,
.gallery--masonry .gallery-caption {
	left: auto;
	right: 4px;
}

.loop-container--style-related .post__text .post__title {
	text-align: right;
}

@media only screen and (min-width: 1171px) {
	.post__meta--single.author--true {
		padding-left: 0px;
		padding-right: 60px;
	}
}

.post__meta--single .author-img {
	margin-right: -60px;
	float: right;
	margin-left: 20px;
}

.post__meta--single .post__category .items {
	text-align: right;
}

.hygge-icon-arrow-right2:before {
	content: "\e879";
}

.hygge-icon-arrow-left2:before {
	content: "\e87a";
}

.hygge-dropdown .hygge-dropdown__menu ul li a[selected]:after {
	float: left;
	margin-left: auto;
	margin-right: 30px;
}

.woocommerce-before-loop .header__search__toggle {
	float: right;
	margin-right: 30px;
}

.header__search .search-form .close {
	left: auto;
	right: 20px;
}
